跳转到主要内容
计算管理/主机相关接口
GETHost Related Interfaces起始版本 4.7.11同步需要认证

获取物理网口网络类型信息

获取物理网口网络类型信息

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • interfaceUuidString

    主机网卡UUID

  • vlanIdInteger

    vlan接口ID

  • interfaceTypeString

    网卡类型

  • serviceTypeList

    统计网络类型

  • zoneUuidString

    数据中心UUID

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • totalLong必填

    统计结果总数

  • successboolean必填

    成功

  • serviceTypeStatisticsList必填

    详情参考serviceTypeStatistics

    • interfaceUuidString必填

      网卡UUID

    • interfaceNameString必填

      网卡名

    • vlanIdInteger必填

      vlan接口ID

    • serviceTypesList必填

      网络类型集

    • hostUuidString必填

      主机UUID

    • hostNameString必填

      主机名称

    • hostIpString必填

      主机IP

    • clusterUuidString必填

      集群UUID

    • clusterNameString必填

      集群名称

    • zoneUuidString必填

      数据中心UUID

    • createDateTimestamp必填

      创建时间

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/hosts/hosts-network-interfaces/service-type-statistic

/zstack/v1/hosts/hosts-network-interfaces/service-type-statistic

操作 ID

GetInterfaceServiceTypeStatistic

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/hosts/hosts-network-interfaces/service-type-statistic?interfaceUuid=<interfaceUuid>&vlanId=1&interfaceType=<interfaceType>&serviceType=<serviceType>&zoneUuid=<zoneUuid>&clusterUuid=<clusterUuid>&hostUuid=<hostUuid>&sortBy=<sortBy>&sortDirection=<sortDirection>&start=1&limit=1&replyWithCount=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "serviceTypeStatistics": [ { "interfaceUuid": "474f9d7d7a1d3b46b8f17363dca7ebef", "serviceTypes": [ "ManagementNetwork" ] } ], "total": 1 }}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史